Imports System.Net.Http
Imports System.Net.Http.Headers

Public Class trienios
    Inherits System.Web.UI.Page

    Protected Async Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim token As String = Session("token")
        Dim client As New HttpClient()
        client.DefaultRequestHeaders.Authorization = New AuthenticationHeaderValue("Bearer", token)
        client.BaseAddress = New Uri(ConfigurationManager.AppSettings("SwaggerVB"))
        Dim idPers = Session("persona").Personas(0).idPersona
        Dim url As String = "/api/TRIENIOS/GetWithIncludes/" & idPers
        Dim puestosItems = Await UtilAntifraude.ObtenerObjeto(Of List(Of ClasesDatosAdmin.TRIENIOS))(client, url)
        Dim htmlTabla = ""
        If (puestosItems.Count > 0) Then
            htmlTabla += "<table class='tablaPicadas'>" +
    "<tr><th>Grupo</th>" +
    "<th>Trienios otras administraciones</th>" +
    "<th>Trienios oficina</th></tr>"

            For Each itm As ClasesDatosAdmin.TRIENIOS In puestosItems
                htmlTabla += "<tr>" +
                    "<td>" + itm.IDGRUPONavigation.DESCRIPCION + "</td>" +
                        "<td>" + itm.TOA.ToString + "</td>" +
                        "<td>" + itm.TC.ToString + "</td></tr>"

            Next
            htmlTabla += "</table>"
        Else
            htmlTabla += "<p style='color:red;font-weight:bold'>No se han encontrado resultados</p>"
        End If
        divTabla.InnerHtml = htmlTabla
    End Sub

End Class